
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.energiteitems.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.energiteitems.EnergiteItemsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EnergiteItemsModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, EnergiteItemsMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(EnergiteItemsModBlocks.BLOCK_ENERGITE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(EnergiteItemsModItems.ENERGITE_ARMOR_HELMET.get());
			tabData.accept(EnergiteItemsModItems.ENERGITE_ARMOR_CHESTPLATE.get());
			tabData.accept(EnergiteItemsModItems.ENERGITE_ARMOR_LEGGINGS.get());
			tabData.accept(EnergiteItemsModItems.ENERGITE_ARMOR_BOOTS.get());
			tabData.accept(EnergiteItemsModItems.E_TTOOLS_SWORD.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(EnergiteItemsModItems.ENERGITE.get());
			tabData.accept(EnergiteItemsModItems.UNCHARGED_ENERGITE.get());
			tabData.accept(EnergiteItemsModItems.ENERGETIC_CORE.get());
			tabData.accept(EnergiteItemsModItems.EMPOWERED_HANDLE.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(EnergiteItemsModBlocks.ENERGITE_ORE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(EnergiteItemsModItems.E_TTOOLS_AXE.get());
			tabData.accept(EnergiteItemsModItems.E_TTOOLS_PICKAXE.get());
			tabData.accept(EnergiteItemsModItems.E_TTOOLS_SHOVEL.get());
			tabData.accept(EnergiteItemsModItems.E_TTOOLS_HOE.get());
		}
	}
}
