
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.energiteitems.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.energiteitems.item.UnchargedEnergiteItem;
import net.mcreator.energiteitems.item.EnergiteItem;
import net.mcreator.energiteitems.item.EnergiteArmorItem;
import net.mcreator.energiteitems.item.EnergeticCoreItem;
import net.mcreator.energiteitems.item.EmpoweredHandleItem;
import net.mcreator.energiteitems.item.ETtoolsSwordItem;
import net.mcreator.energiteitems.item.ETtoolsShovelItem;
import net.mcreator.energiteitems.item.ETtoolsPickaxeItem;
import net.mcreator.energiteitems.item.ETtoolsHoeItem;
import net.mcreator.energiteitems.item.ETtoolsAxeItem;
import net.mcreator.energiteitems.EnergiteItemsMod;

public class EnergiteItemsModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, EnergiteItemsMod.MODID);
	public static final RegistryObject<Item> ENERGITE = REGISTRY.register("energite", () -> new EnergiteItem());
	public static final RegistryObject<Item> UNCHARGED_ENERGITE = REGISTRY.register("uncharged_energite", () -> new UnchargedEnergiteItem());
	public static final RegistryObject<Item> ENERGITE_ARMOR_HELMET = REGISTRY.register("energite_armor_helmet", () -> new EnergiteArmorItem.Helmet());
	public static final RegistryObject<Item> ENERGITE_ARMOR_CHESTPLATE = REGISTRY.register("energite_armor_chestplate", () -> new EnergiteArmorItem.Chestplate());
	public static final RegistryObject<Item> ENERGITE_ARMOR_LEGGINGS = REGISTRY.register("energite_armor_leggings", () -> new EnergiteArmorItem.Leggings());
	public static final RegistryObject<Item> ENERGITE_ARMOR_BOOTS = REGISTRY.register("energite_armor_boots", () -> new EnergiteArmorItem.Boots());
	public static final RegistryObject<Item> ENERGETIC_CORE = REGISTRY.register("energetic_core", () -> new EnergeticCoreItem());
	public static final RegistryObject<Item> ENERGITE_ORE = block(EnergiteItemsModBlocks.ENERGITE_ORE);
	public static final RegistryObject<Item> BLOCK_ENERGITE = block(EnergiteItemsModBlocks.BLOCK_ENERGITE);
	public static final RegistryObject<Item> EMPOWERED_HANDLE = REGISTRY.register("empowered_handle", () -> new EmpoweredHandleItem());
	public static final RegistryObject<Item> E_TTOOLS_AXE = REGISTRY.register("e_ttools_axe", () -> new ETtoolsAxeItem());
	public static final RegistryObject<Item> E_TTOOLS_PICKAXE = REGISTRY.register("e_ttools_pickaxe", () -> new ETtoolsPickaxeItem());
	public static final RegistryObject<Item> E_TTOOLS_SWORD = REGISTRY.register("e_ttools_sword", () -> new ETtoolsSwordItem());
	public static final RegistryObject<Item> E_TTOOLS_SHOVEL = REGISTRY.register("e_ttools_shovel", () -> new ETtoolsShovelItem());
	public static final RegistryObject<Item> E_TTOOLS_HOE = REGISTRY.register("e_ttools_hoe", () -> new ETtoolsHoeItem());

	private static RegistryObject<Item> block(RegistryObject<Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
