
package net.mcreator.energiteitems.potion;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.effect.MobEffectCategory;
import net.minecraft.world.effect.MobEffect;

import net.mcreator.energiteitems.procedures.DeEnergizedOnEffectActiveTickProcedure;
import net.mcreator.energiteitems.procedures.DeEnergizedEffectStartedappliedProcedure;
import net.mcreator.energiteitems.procedures.DeEnergizedEffectExpiresProcedure;

public class DeEnergizedMobEffect extends MobEffect {
	public DeEnergizedMobEffect() {
		super(MobEffectCategory.HARMFUL, -65332);
	}

	@Override
	public String getDescriptionId() {
		return "effect.energite_items.de_energized";
	}

	@Override
	public void addAttributeModifiers(LivingEntity entity, AttributeMap attributeMap, int amplifier) {
		DeEnergizedEffectStartedappliedProcedure.execute(entity.level(), entity);
	}

	@Override
	public void applyEffectTick(LivingEntity entity, int amplifier) {
		DeEnergizedOnEffectActiveTickProcedure.execute(entity);
	}

	@Override
	public void removeAttributeModifiers(LivingEntity entity, AttributeMap attributeMap, int amplifier) {
		super.removeAttributeModifiers(entity, attributeMap, amplifier);
		DeEnergizedEffectExpiresProcedure.execute(entity);
	}

	@Override
	public boolean isDurationEffectTick(int duration, int amplifier) {
		return true;
	}
}
